const TokenKey = 'access-token';
const CompanyIdKey = 'companyId';
const TokenPrefix = 'Bearer ';

function isLogin() {
  return !!uni.getStorageSync(TokenKey);
}

function getToken() {
  return uni.getStorageSync(TokenKey);
}

function setToken(token: string) {
  uni.setStorageSync(TokenKey, token);
}

function getCompanyId() {
  return uni.getStorageSync(CompanyIdKey);
}

function setCompanyId(companyId: string) {
  uni.setStorageSync(CompanyIdKey, companyId);
}

function clearToken() {
  uni.removeStorageSync(TokenKey);
  uni.removeStorageSync(CompanyIdKey);
}

export { TokenPrefix, isLogin, getToken, setToken, getCompanyId, setCompanyId, clearToken };
